<?php
ob_start();
include("config.php");
	if(! check_login()) { 
	exit;
	}

$dbres	=	mysql_query("SELECT *,UNIX_TIMESTAMP(`gevangenis`) AS `gevangenis`,0 FROM `gebruiker` WHERE `login`='{$data->login}'");
$data	=	mysql_fetch_object($dbres);

	if($data->gevangenis + $data->gevangenistijd > time()){
	header("Location: netwerken-gevangenis.php"); 
	exit;
	}

?>

<html>
<head>
<title>Ultimatecrime</title>
<link rel="stylesheet" type="text/css" href="style_general.css">
</head>
<body background="layout/images/layout_12.gif" bgproperties="fixed">
<br>
<br>
<br>
<form method="post">
<table align="center" width="600">
	<tr>
		<td align="center" class="subTitle">
		<b>In een netwerk stappen</b>
		</td>
	</tr>
	<tr>
		<td class="mainTxt">

<?php

	if($data->invitetype == 1){
		if(isset($_POST['accept'])){
		$dbres	=	mysql_query("SELECT * FROM `familie` WHERE `naam`='{$data->faminvite}'");
		$fam	=	mysql_fetch_object($dbres);
		$dbres	=	mysql_query("SELECT * FROM `gebruiker` WHERE `login`='{$fam->leader}'");
		$login	=	mysql_fetch_object($dbres);
		mysql_query("UPDATE `familie` SET `leader`='{$data->login}' WHERE `naam`='{$data->faminvite}'");
		mysql_query("UPDATE `gebruiker` SET `famleader`='0' WHERE `login`='{$login->login}'");
		mysql_query("UPDATE `gebruiker` SET `faminvite`='',`familie`='{$data->faminvite}',`famleader`='1' WHERE `login`='{$data->login}'");

?>

		Je bent de <?php echo $data->faminvite; ?> netwerkclub ingegaan en hebt gesproken met de leader.<br>
      		Er is uiteindelijk besloten je toe te staan de <?php echo $data->faminvite; ?>'s te vergezellen!<br>
      		<br>
      		Je bent nu officieel genaamd <?php echo $data->login; ?> <b><?php echo $data->faminvite; ?></b>!

<?php


		} else if(isset($_POST['deny'])){
		mysql_query("UPDATE `gebruiker` SET `faminvite`='' WHERE `login`='{$data->login}'");

?>

		Je bent de <?php echo $data->faminvite; ?> netwerkclub ingegaan en hebt gesproken met de leader.<br>
		Je hebt uiteindelijk besloten de invitatie van de <?php echo $data->faminvite; ?>'s af te slaan.<br>

<?php

		} else {
		$dbres  = mysql_query("SELECT * FROM `familie` WHERE `naam`='{$data->faminvite}'");
		$fam    = mysql_fetch_object($dbres);

?>

		Beste <?php echo $data->login; ?>,<br>
		Je bent nog maar 1 stap verwijdert om <?php echo $data->faminvite; ?> te vergezellen.<br>
		Je hoeft alleen nog maar de overeenkomsten/regels te accepteren.<br><br>
		<textarea name="info" cols="30" rows="10"><?php echo $fam->regels; ?></textarea>
		<br><br>
		<form method="post">
		<input type="submit" name="accept" value="Ik accepteer de regels"><input type="submit" name="deny" value="Ik accepteer de regels niet.">
		</form>		

<?php

		}
	} else if($data->invitetype == 2){
		if(isset($_POST['accept'])){
		mysql_query("UPDATE `familie` SET `consig`='{$data->login}' WHERE `naam`='{$data->faminvite}'");
		mysql_query("UPDATE `gebruiker` SET `faminvite`='',`familie`='{$data->faminvite}',`famconsig`='1' WHERE `login`='{$data->login}'");

?>

		Je bent de <?php echo $data->faminvite; ?> netwerkclub ingegaan en hebt gesproken met de leader.<br>
      		Er is uiteindelijk besloten je toe te staan de <?php echo $data->faminvite; ?>'s te vergezellen!<br>
      		<br>
      		Je bent nu officieel genaamd <?php echo $data->login; ?> <b><?php echo $data->faminvite; ?></b>!

<?php


		} else if(isset($_POST['deny'])){
		mysql_query("UPDATE `gebruiker` SET `faminvite`='' WHERE `login`='{$data->login}'");

?>

		Je bent de <?php echo $data->faminvite; ?> netwerkclub ingegaan en hebt gesproken met de leader.<br>
		Je hebt uiteindelijk besloten de invitatie van de <?php echo $data->faminvite; ?>'s af te slaan.<br>

<?php

		} else {
		$dbres  = mysql_query("SELECT * FROM `familie` WHERE `naam`='{$data->faminvite}'");
		$fam    = mysql_fetch_object($dbres);

?>

		Beste <?php echo $data->login; ?>,<br>
		Je bent nog maar 1 stap verwijdert om <?php echo $data->faminvite; ?> te vergezellen.<br>
		Je hoeft alleen nog maar de overeenkomsten/regels te accepteren.<br><br>
		<textarea name="info" cols="30" rows="10"><?php echo $fam->regels; ?></textarea>
		<br><br>
		<form method="post">
		<input type="submit" name="accept" value="Ik accepteer de regels"><input type="submit" name="deny" value="Ik accepteer de regels niet.">
		</form>		

<?php

		}
	} else if($data->invitetype == 3){
		if(isset($_POST['accept'])){
		mysql_query("UPDATE `familie` SET `sotto`='{$data->login}' WHERE `naam`='{$data->faminvite}'");
		mysql_query("UPDATE `gebruiker` SET `faminvite`='',`familie`='{$data->faminvite}',`famsotto`='1' WHERE `login`='{$data->login}'");

?>

		Je bent de <?php echo $data->faminvite; ?> netwerkclub ingegaan en hebt gesproken met de leader.<br>
      		Er is uiteindelijk besloten je toe te staan de <?php echo $data->faminvite; ?>'s te vergezellen!<br>
      		<br>
      		Je bent nu officieel genaamd <?php echo $data->login; ?> <b><?php echo $data->faminvite; ?></b>!

<?php


		} else if(isset($_POST['deny'])){
		mysql_query("UPDATE `gebruiker` SET `faminvite`='' WHERE `login`='{$data->login}'");

?>

		Je bent de <?php echo $data->faminvite; ?> netwerkclub ingegaan en hebt gesproken met de leader.<br>
		Je hebt uiteindelijk besloten de invitatie van de <?php echo $data->faminvite; ?>'s af te slaan.<br>

<?php

		} else {
		$dbres  = mysql_query("SELECT * FROM `familie` WHERE `naam`='{$data->faminvite}'");
		$fam    = mysql_fetch_object($dbres);

?>


		Beste <?php echo $data->login; ?>,<br>
		Je bent nog maar 1 stap verwijdert om <?php echo $data->faminvite; ?> te vergezellen.<br>
		Je hoeft alleen nog maar de overeenkomsten/regels te accepteren.<br><br>
		<textarea name="info" cols="30" rows="10"><?php echo $fam->regels; ?></textarea>
		<br><br>
		<form method="post">
		<input type="submit" name="accept" value="Ik accepteer de regels"><input type="submit" name="deny" value="Ik accepteer de regels niet.">
		</form>		

<?php

		}
	} else if($data->invitetype == 4){
		if(isset($_POST['accept'])){
		mysql_query("UPDATE `gebruiker` SET `faminvite`='',`familie`='{$data->faminvite}' WHERE `login`='{$data->login}'");

?>

		Je bent de <?php echo $data->faminvite; ?> netwerkclub ingegaan en hebt gesproken met de leader.<br>
      		Er is uiteindelijk besloten je toe te staan de {$data->faminvite; ?>'s te vergezellen!<br>
      		<br>
      		Je bent nu officieel genaamd <?php echo $data->login; ?> <b><?php echo $data->faminvite; ?></b>!

<?php


		} else if(isset($_POST['deny'])){
		mysql_query("UPDATE `gebruiker` SET `faminvite`='' WHERE `login`='{$data->login}'");

?>

		Je bent de <?php echo $data->faminvite; ?> netwerkclub ingegaan en hebt gesproken met de leader.<br>
		Je hebt uiteindelijk besloten de invitatie van de <?php echo $data->faminvite; ?>'s af te slaan.<br>

<?php

		} else {
		$dbres  = mysql_query("SELECT * FROM `familie` WHERE `naam`='<?php echo $data->faminvite; ?>'");
		$fam    = mysql_fetch_object($dbres);

?>

		Beste {$data->login},<br>
		Je bent nog maar 1 stap verwijdert om <?php echo $data->faminvite; ?> te vergezellen.<br>
		Je hoeft alleen nog maar de overeenkomsten/regels te accepteren.<br><br>
		<textarea name="info" cols="30" rows="10"><?php echo $fam->regels; ?></textarea>
		<br><br>
		<form method="post">
		<input type="submit" name="accept" value="Ik accepteer de regels"><input type="submit" name="deny" value="Ik accepteer de regels niet.">
		</form>		

<?php

		}
	} else {
	echo "<center>Je hebt geen netwerk invite dus je kan ook geen netwerk joinen.</center>";
	}

?>
				
		</td>
	</tr>
	<tr>
		<td class="subtitle">&nbsp;</td>
	</tr>
</table>
</body>
</html>